On Thu, 4 Dec 2003, Ujwal wrote:

# This is my first message
# Libxslt is working fine.
# 

Have you tried REXML?  Unless there's some reason you need to use Libxml, 
you can use REXML, which is in the ruby 1.8 distribution.

Chad